
#ifndef _PLOTSCURVESALLDIFFFITCONST_H_
#define _PLOTSCURVESALLDIFFFITCONST_H_
/*
• kDrawCh: channel just you want to check on display. doens't effect
the analysis. 

• fname, fname_ped (kFname, kFnamePed): "YOUR DATA FILE" without ".data".
See examples in the header file.

• dac_half_spe_fix: set DAC value only when you want to adjust the gain
to particular pulse height (DAC value) instead of either average of the
pulse height of reference pixel. Usually just leave it -1.

• fit_min, fit_max (kFitMin, kFitMax): leave them as default,
it is not currently used for the analysis.

• fit_min_scurve, fit_max_scurve (kFitMinS, kFitMaxS): define the range
of s-curve fitting. search proper values by yourself with running root
program a few times.

• kBoard: don't forget to change 0(C) or 1(D) depending on which ASIC
you're analysing

• kChRef (kRefCh): a pixel whose gain remains 64 thorough the gain
adjustment.

• checkAve: for the first run, set this parameter 1, and find a pixel
which remains 64. In the case of parameter 1, all the gains are adjusted
to the average pulse height.

Once you choose the reference pixel, set the parameter 0, as well as
set kRefCh the pixel number. (better to keep in the header file for the
record of each PMTs.)
*/


const int DEBUG=1;

/*** signal file ***/
//TString  kFname="data_s_curves_run37-38";//ASIC_D it0 org
//TString  kFname="data_s_curves_run66";//ASIC_D for it0
//TString  kFname="data_s_curves_run68";//ASIC_D for it1
//TString  kFname="data_s_curves_run70";//ASIC_D for it1
//TString  kFname="data_s_curves_run76";//ASIC_C it0
//TString  kFname="data_s_curves_run78";//T2 ASIC_C it0
//TString  kFname="data_s_curves_run79";//T2 ASIC_D it0
//TString  kFname="data_s_curves_run81";//T2 ASIC_C it1
//TString  kFname="data_s_curves_run82";//T2 ASIC_D it1
//TString  kFname="data_s_curves_run83";//T1 ASIC_C it1
//TString  kFname="data_s_curves_run90";//T1 ASIC_C it2
//TString  kFname="data_s_curves_run91";//T1 ASIC_C it3
//TString  kFname="data_s_curves_run92";//T1 ASIC_C it3 lower luminosity
//TString  kFname="data_s_curves_run93";//T1 ASIC_C it4
//TString  kFname="data_s_curves_run94";//T1 ASIC_C it3
//const TString  kFname="data_s_curves_run100";//T1 ASIC_C it3
const TString  kFname="data_s_curves_run104";//T1 ASIC_C it0

/*** pedestal file ***/
//TString  kFnamePed="data_s_curves_run24"; //T1 ASIC_D ped_file 
//TString  kFnamePed="data_s_curves_run74"; //T1 ASIC_C ped_file
//TString  kFnamePed="data_s_curves_run68"; //T1 ASIC_D 
//TString  kFnamePed="data_s_curves_run78"; //T2 ASIC_C ped_file
//TString  kFnamePed="data_s_curves_run79"; //T2 ASIC_D ped_file
//TString  kFnamePed="data_s_curves_run81";//T2 ASIC_C it1
//TString  kFnamePed="data_s_curves_run82";//T2 ASIC_D it1
//TString  kFnamePed="data_s_curves_run83";//T1 ASIC_C it1
//TString  kFnamePed="data_s_curves_run90";//T1 ASIC_C it2
//TString  kFnamePed="data_s_curves_run91";//T1 ASIC_C it3
//TString  kFnamePed="data_s_curves_run92";//T1 ASIC_C it3 lower luminosity
//TString  kFnamePed="data_s_curves_run93";//T1 ASIC_C it4
//TString  kFnamePed="data_s_curves_run94";//T1 ASIC_C it3
//const TString  kFnamePed="data_s_curves_run100";//T1 ASIC_C it3
const TString  kFnamePed="data_s_curves_run104";//T1 ASIC_C it0

// Output file
const TString kFnameOut="gain-output.dat";

//Int_t kFitMin = 160; //T1 ASIC_D it0, default
//Int_t kFitMin = 180; //T1 ASIC_D it1
//Int_t kFitMin = 170; //T1 ASIC_C it0
//Int_t kFitMin = 200; //T2 ASIC_C it0, T1 ASIC_C it2
//Int_t kFitMin = 150; //T2 ASIC_D it0
//Int_t kFitMin = 120; //T2 ASIC_D it0
const Int_t kFitMin = 220; //T1 ASIC_C it2
const Int_t kFitMax = 400;

//Int_t kFitMinS = 180; //T1 ASIC_D it0, default, T1 ASIC_C it1
const Int_t kFitMinS = 240; //T1 ASIC_D it1, T2 ASIC_C it1
//Int_t kFitMinS = 120; //T1 ASIC_C it0 for low gain
//Int_t kFitMinS = 150; //T1 ASIC_C it0 for high gain
//Int_t kFitMinS = 220; //T2 ASIC_C it0, default
//Int_t kFitMinS = 200; //T2 ASIC_D it1
//Int_t kFitMinS = 130; //T2 ASIC_D it0
const Int_t kFitMaxS = 380; //default
//Int_t kFitMaxS = 340; //T1 ASIC_C low gain
//Int_t kFitMaxS = 300; //T1 ASIC_C low gain 2
const Int_t kFitSadj = 80;
//Int_t kFitSadj = 0;

const Int_t kRefCh   = 47; //T1 ASIC_D, T1 ASIC_C
//Int_t kRefCh   = 32; //(T1 ASIC_C), T2 ASIC_D
//Int_t kRefCh   = 37; //T2 ASIC_C


/***************** Basic parameters **************/
  const Int_t    kNasic       = 6;
  const Int_t    kNch         = 64;
  //Int_t          kHalfMax    = 11000;  //50% efficiency on scurve
  //Int_t          kHalfMax    = 650;  //for run50
  //Int_t          kHalfMax     = 7000;  //for run66
  const Int_t          kHalfMax     = 6000;  //for run78
// Int_t          kXmin       = 110; SDC : Cannot put it here because it is a variable, not a real constant




/**************** Graphics parameters ***************/
  const Int_t          kDrawDacMin  = 50;     //FSU Scurve
//Int_t          kDrawDacMin  = 100;     //FSU Scurve
  const Int_t          kDrawDacMax  = 550;   //FSU Scurve
  const Int_t          kDrawMin     = 50;
  const Int_t          kDrawMaxPed  = 40000; //for ped
  const Int_t          kDrawMax     = 20000;
  const Int_t          kDrawMaxDiff = 500;
//Int_t          kDrawMaxFit = 200;
  const Int_t          kDrawMaxFit = 140;



const TString kCanvasName1="SCurvesFit";
const TString kCanvasName2="DiffSCurvesFit";
const TString kCanvasName3="SCurvFitOneChan";
const TString kCanvasName4="SCurvesFitped";
const TString kCanvasName5="SCurvesFitDiffFit";

const TString kCanvasTitle1="S-Curves and Fit";
const TString kCanvasTitle2="Differientiated S-Curves and Fit";
const TString kCanvasTitle3="S-Curves and Fit and Differientiated S-Curves and Fit for one channel";
const TString kCanvasTitle4="S-Curves and Fit for pedestal";
const TString kCanvasTitle5="Derivative of fitted S-Curve";

#endif
//-------------------------------------------------------------------------------------------------
// Configure (x)emacs for this file ...
// Local Variables:
// mode: c++
// compile-command: "(make;) "
// End:
